## ntpstat 0.0.0.1

=== Makefile ===
CC= gcc
CFLAGS= -Wall -O2

all:	ntpstat

ntpstat:	ntpstat.c

clean:
	rm ntpstat

=== debian/changelog ===
ntpstat (0.0.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Add /usr/share/dpkg/buildflags.mk to use default build flags
    (Closes: #1119507).
  * Switch to debhelper 13.
  * Standards-Version: 4.7.2.
  * Fix d/copyright.
  * Set DEB_BUILD_MAINT_OPTIONS=hardening=+all.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 13:49:12 +0100

ntpstat (0.0.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Removed override_dh_auto_build target, allowing cross-build to work.
    (Closes: #901271)
  * Remove now useless Pre-Depends: dpkg (>= 1.15.6~).
  * Fix debian/copyright ordering and years.
  * Use team+openstack@tracker.debian.org for the maintainer addr.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jun 2018 13:30:39 +0200

ntpstat (0.0.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #761289)

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2014 21:56:42 +0800

=== debian/control ===
Source: ntpstat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 openstack-pkg-tools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ntpstat
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ntpstat.git
Homepage: https://github.com/darkhelmet/ntpstat

Package: ntpstat
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: show network time protocol (ntp) status
 This program uses an NTP mode 6 control message, which is the same as that
 used by the ntpq command. The ntpdc command uses NTP mode 7, details of
 which are elusive. For details on the format of NTP control message, see
 http://www.eecis.udel.edu/~mills/database/rfc/rfc1305/rfc1305b.ps.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/darkhelmet/ntpstat.git
include /usr/share/openstack-pkg-tools/pkgos.make

include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	rm -f ntpstat
